@echo off
REM cls
title Creo Purge Subs 

rem - CREOPURGESUBS.BAT [PATH]
rem ================================================================
rem - Place this batch file in the c:\Utilities directory (create it if needed)
rem - 
rem - This batch program will run the Creo Parametric purge.bat file from
rem - the directory passed to it and all subdirectories below there.
rem - 
rem - A valid starting path should be passed to this program.
rem - Edit the value of CREOPURGE in this script to suit your environment
rem ================================================================
rem - Olaf Corten
rem - olaf.corten@creosite.com
rem ================================================================
rem - Rev.   Date	   Changes
rem - ----   -------   ---------------------------------------------
rem -  4.1   20201218  Removed cls at the beginning.
rem                    Fixed error when calling with a dir with spaces. 
rem                    Now returning to origonal folder.
rem -  4.0   20200727  Now using the supplied CreoPurge.bat command
rem -  3.1   20130114  Fixed bug: Added /D to cd command.
rem -  3.0   20130113  Started history
rem ================================================================

REM Customize the location of CreoPurge.bat to your environment
set CREOPURGE=c:\Utilities\CreoPurge.bat
set ORIGSUBSFOLDER=%CD%

if !%1==! goto nopath

if NOT EXIST "%CREOPURGE%" goto nopurge

:start
  title Creo Purge Subs from %*
  echo Recursive purge from %* ...
  cd /D "%*"
  IF NOT %ERRORLEVEL%==0 goto badpath
  call :subpurge %*
  FOR /D /R %%a IN (*.*) do call :subpurge %%a
  goto complete

:subpurge 
  echo - Purging, %*
  cd "%*"
  call "%CREOPURGE%" .
  exit /b
  REM goto :EOF

:nopurge
  echo.
  echo ERROR - Cannot find %CREOPURGE% ....
  echo.
  echo You must edit %0 to point to the correct location where you installed the CreoPurge.bat script
  goto complete
  
:nopath
  echo.
  echo ERROR - No path provided....
  echo.
  echo You must provide a path when calling %0
  goto complete

:badpath
  echo.
  echo ERROR - "%1" is not a valid path....
  echo.
  echo You must provide a valid path when calling %0
  goto complete

:complete
  echo.
  echo CreoPurgeSubs complete ...
  cd /D "%ORIGSUBSFOLDER%"
  pause
  REM exit